import request from "@/utils/request"

//部门列表
export function getMainList(params) {
    return request({
        url: "/qdport-system/sys/dept/tree",
        method: "get",
        params
    })
}

// 更新部门
export function setDepart(data) {
    return request({
        url: `/qdport-system/sys/dept/update`,
        method: "post",
        params: data
    })
}

// 新增部门
export function addDepart(data) {
    return request({
        url: `/qdport-system/sys/dept/add`,
        method: "post",
        params: data
    })
}

// 删除部门
export function deleteDepart(id) {
    return request({
        url: `/qdport-system/sys/dept/delete`,
        method: "post",
        params: {
            id
        }
    })
}